#!/usr/bin/make -f

DEB_DIVERT_EXTENSION = .xvm

DEB_DIVERT_FILES_xvm-iscsi-config += \
	/etc/iscsi/iscsid.conf.xvm

DEB_DH_INSTALLINIT_ARGS += --no-start
DEB_UPDATE_RCD_PARAMS_xvm-iscsi-config += defaults 20 80

include /usr/share/cdbs/1/rules/config-package.mk
include /usr/share/cdbs/1/rules/debhelper.mk

common-build-indep:: debian/iscsid.conf.xvm.mako

binary-post-install/xvm-iscsi-config::
	touch $(DEB_DESTDIR)/etc/iscsi/iscsid.conf.xvm

debian/iscsid.conf.xvm.mako: $(call debian_check_files,/etc/iscsi/iscsid.conf)
	debian/transform_iscsid.conf.xvm.mako < $< > $@
